App\Entity\ReparationProduit:
    type: entity
    table: reparation_produit
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        quantite:
            type: float
            nullable: false
        prixAchat:
            type: float
            nullable: false
        prixHt:
            type: float
            nullable: false
        tauxTva:
            type: float
            nullable: false
        totalTva:
            type: float
            nullable: false
        tauxRemise:
            type: float
            nullable: false
        totalRemise:
            type: float
            nullable: true
        totalHt:
            type: float
            nullable: false
        totalTtc:
            type: float
            nullable: false
        benefice:
            type: float
            nullable: false
        beneficePrevisionnel:
            type: float
            nullable: true
        notes:
            type: text
            nullable: true
        dateNote:
            type: datetime
            nullable: true
    manyToOne:
        reparation:
            targetEntity: Reparation
            cascade: {  }
            mappedBy: null
            inversedBy: produits
            joinColumns:
                reparation_id:
                    referencedColumnName: id
            orphanRemoval: false
        produit:
            targetEntity: Produit
            cascade: {  }
            mappedBy: null
            inversedBy: reparations
            joinColumns:
                produit_id:
                    referencedColumnName: id
            orphanRemoval: false
        utilisateur:
            targetEntity: Utilisateur
            cascade: [persist]
            mappedBy: null
            inversedBy: rproduits
            joinColumns:
                utilisateur_id:
                    referencedColumnName: id
            orphanRemoval: false